libwebp (1.3.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing dependency libwebp-dev => libsharpyuv-dev.
    (Closes: #1052355)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 15:59:13 -0400

libwebp (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 11:03:28 -0400

libwebp (1.3.2-0.1~exp2) experimental; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Also install .a files again.
  * Make sure we have built and installed anim_dump and anim_diff.
    (Closes: #1023482)

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Sep 2023 14:41:40 -0400

libwebp (1.3.2-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.3.2.
    + The 1.3.x branch introduces libsharpyuv, which will be introduced
      as separate Debian binary packages. (Closes: #1040970)
    + CVE-2023-4863 is handled in this release. (LP: #2035220)
  * debian/gbp.conf: Use ignore-branch=True to avoid limitation on
    experimental branch.
  * debian/control:
    + Drop unnecessary build-dependency on autotools-related packages.
    + Add build-dependency on pkg-config.
    + Migrate buildsystem to cmake. (Closes: #1040972, LP: #2013083)
    + Apply RPATH-related hotfix before debhelper compat level 14.
    + Add new binary packages: libsharpyuv-dev, libsharpyuv0,
      libwebpdecoder3.
  * debian/libwebp-dev.install: Do not install static library anymore
    since CMake is not building them by default.
  * debian/rules:
    + Enforce --buildsystem=cmake.
    + Drop explicit option --enable-aligned, this option has been removed
      by libwebp upstream (see upstream ChangeLog).
  * debian/docs: Rename to libwebp-dev.docs to avoid confusion.
  * debian/patches: Drop all old patches, merged upstream.
  * debian/patches/:
    + 0001-CMakeLists.txt-Install-CMake-Config-to-arch-dep-loca.patch:
      Add patch to install CMake Config files to architecture-dependent
      location instead to retain Multi-Arch property of dev packages.
  * debian/copyright: Completely rewritten in machine-readable copyright
    format.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Sep 2023 22:22:30 -0400

libwebp (1.2.4-0.3) unstable; urgency=medium

  * Non-maintainer upload

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Heap buffer overflow in BuildHuffmanTable
    - debian/patches/CVE-2023-4863.patch: fix OOB write in
      BuildHuffmanTable in src/dec/vp8l_dec.c, src/dec/vp8li_dec.h,
      src/utils/huffman_utils.c, src/utils/huffman_utils.h.
    - CVE-2023-4863 (Closes: #1051786)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 17:44:43 +0200

libwebp (1.2.4-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * EncodeAlphaInternal: clear result->bw on error (CVE-2023-1999)
    (Closes: #1035371)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 May 2023 14:50:58 +0200

libwebp (1.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.2.4 (Closes: #1022001)
  * Set debian-branch to debian/sid in conformance with DEP-14
  * Tighten matching criteria in debian/watch, and enable upstream
    PGP/GPG signature verification
  * Add Vcs-Browser and Vcs-Git fields for upload to Salsa
  * Bump debhelper build-dependency to debhelper-compat (= 13)
  * Remove alternative build-dependency on obsolete libtiff4-dev package
  * Replace build-dependency on obsolete freeglut3-dev with libglut-dev
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove backported debian/patches/fix-lossless-encode-for-MIPS
    which was already merged and released in libwebp v1.2.3
  * Adjust debian/docs for upstream README to README.md rename and more
  * Replace man/*.1 with usr/share/man/man1/*.1 in debian/webp.manpages
    to fix dh_missing error with debhelper compat 13 and up
  * Add usr/lib/${DEB_HOST_MULTIARCH}/lib*.la to debian/not-installed
    to remove dh_missing warning
  * Remove --parallel argument from dh, no longer needed since compat 10,
    to fix Lintian debian-rules-uses-unnecessary-dh-argument warning
  * Remove build-dependency on autotools-dev, not needed since compat 10,
    to fix Lintian useless-autoreconf-build-depends warning
  * Replace tab with spaces in an old debian/changelog entry
    to fix Lintian syntax-error-in-debian-changelog warning

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 06:28:25 -0700

libwebp (1.2.2-2) unstable; urgency=high

  * Fixes mipsel architecture correctly this time (closes: #1006009)

 -- Jeff Breidenbach <jab@debian.org>  Sun, 13 Mar 2022 22:36:42 -0700

libwebp (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes test failure on mipsel architecture (closes: #1006110)
  * Fixes test failure on mipsel architecture (closes: #1006009)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 10 Mar 2022 09:39:39 -0800

libwebp (1.2.1-7) unstable; urgency=medium

  * No changes; uploading to unstable as part of soname transition.

 -- Jeff Breidenbach <jab@debian.org>  Wed, 16 Feb 2022 11:02:28 -0800

libwebp (1.2.1-6) experimental; urgency=medium

  * Fix package name to corectly match library soname.

 -- Jeff Breidenbach <jab@debian.org>  Thu, 13 Jan 2022 15:14:06 -0800

libwebp (1.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 23 Aug 2021 16:04:29 -0700

libwebp (0.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix multiple security issues:
        CVE-2018-25009, CVE-2018-25010, CVE-2018-25011 CVE-2020-36328,
        CVE-2018-25013, CVE-2018-25014, CVE-2020-36329, CVE-2020-36330
        CVE-2020-36331, CVE-2020-36332

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 05 Jun 2021 19:35:57 +0200

libwebp (0.6.1-2) unstable; urgency=medium

  * Fix lintian warning on manpage
  * Update homepage in control file (closes #891851)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 01 Mar 2018 12:51:06 -0800

libwebp (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Special patches for big endian

 -- Jeff Breidenbach <jab@debian.org>  Thu, 22 Feb 2018 18:17:57 -0800

libwebp (0.6.0-4) unstable; urgency=medium

  * remove uploader (closes: #881859)
  * updated watch file

 -- Jeff Breidenbach <jab@debian.org>  Mon, 20 Nov 2017 16:30:10 -0800

libwebp (0.6.0-3) unstable; urgency=medium

  * Fix dependency bug in debian/control

 -- Jeff Breidenbach <jab@debian.org>  Tue, 25 Jul 2017 21:32:34 +0000

libwebp (0.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 03 May 2017 15:49:31 -0700

libwebp (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 03 Jan 2017 11:00:36 -0800

libwebp (0.5.1-4) unstable; urgency=medium

  * Import armh compilation patch from Ubuntu (closes: #845749)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 09 Dec 2016 10:42:47 -0800

libwebp (0.5.1-3) unstable; urgency=medium

  * Fix CVE-2016-8888 and CVE-2016-9085 (closes: #842714)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 09 Nov 2016 16:27:04 -0800

libwebp (0.5.1-2) unstable; urgency=medium

  * promote to unstable as per transition team
  * fix some lintian warnings on the symbols files

 -- Jeff Breidenbach <jab@debian.org>  Tue, 02 Aug 2016 17:45:28 -0700

libwebp (0.5.1-1) experimental; urgency=medium

  * New upstream release
  * Adjust libpng dependency (Closes: #810196)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 27 Jul 2016 00:34:07 +0000

libwebp (0.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with '--enable-aligned' on sparc* to force aligned
    memory operations in non-dsp code. (Closes: #825963)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 07 Jul 2016 14:07:57 +0200

libwebp (0.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 17 Nov 2015 00:49:19 +0000

libwebp (0.4.3-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Re-introduced refreshed "fix-mips32.patch" to fix FTBFS on mips(el).
    Thanks, James Cowgill. (Closes: #785000).
  * Added retrospective changelog entry to note removal of "fix-mips32.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 May 2015 14:19:01 +1000

libwebp (0.4.3-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Added architecture hints to some symbols.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 May 2015 04:28:28 +1000

libwebp (0.4.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added current .symbols to compensate for ABI breakage in v0.4.3
    (Closes: #783693).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 30 Apr 2015 18:10:47 +1000

libwebp (0.4.3-1) unstable; urgency=low

  * New upstream bugfix release
  * Raise priority to optional (closes: #767462)
  * Removed "fix-mips32.patch"

 -- Jeff Breidenbach <jab@debian.org>  Fri, 27 Mar 2015 09:43:41 -0700

libwebp (0.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "libwebp FTBFS on mips/mipsel".
    Add fix-mips2.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #756788.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Sep 2014 10:04:05 +0100

libwebp (0.4.1-1.1) unstable; urgency=medium

  * NMU with maintainer's permission
  * use -frename-registers as workaround for ICE on arm64 (Closes: #757785)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Aug 2014 11:15:58 +0000

libwebp (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 30 Jul 2014 16:38:48 -0700

libwebp (0.4.0-4) unstable; urgency=low

  * Promote from experimental to unstable
  * Begin webp transition, see bug #731168

 -- Jeff Breidenbach <jab@debian.org>  Mon, 13 Jan 2014 10:07:43 -0800

libwebp (0.4.0-3) experimental; urgency=low

  * Add libwebpdemux.so and more binaries at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Wed, 08 Jan 2014 10:15:12 -0800

libwebp (0.4.0-2) experimental; urgency=low

  * New upstream release
  * Enable metadata support (closes: #728119)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 03 Jan 2014 13:28:23 -0800

libwebp (0.3.0-3) unstable; urgency=low

  * No change, just migrating to unstable

 -- Jeff Breidenbach <jab@debian.org>  Thu, 30 May 2013 14:55:03 -0700

libwebp (0.3.0-1) experimental; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 11 Apr 2013 12:24:07 -0700

libwebp (0.2.1-3) experimental; urgency=low

  * Fix builds everywhere.
    Was fine if you run 'dh build', but -arch or -indep after clean failed.
    And it worked fine in my experimental pbuilder chroot...
  * Add a dependency on libtiff-dev | libtiff4-dev.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 12 Feb 2013 15:00:52 +0000

libwebp (0.2.1-2) experimental; urgency=low

  * Add a pkgconfig file (closes: #699285)

 -- Jeff Breidenbach <jab@debian.org>  Tue, 12 Feb 2013 00:50:19 +0000

libwebp (0.2.1-1) experimental; urgency=low

  * New upstream release. (Closes: #684339)
    - libwebp.so.4, so package name bump.
    - Target experimental to avoid disrupting wheezy freeze.
  * Adjust PNG dev dependency. (Closes: #662415)
  * Use dh ... --parallel.
  * Bumped standards version to 3.9.3.
  * Adjusted debian/copyright (lintian boilerplate error).
  * Added myself as an uploader (ref. bug 684339).

 -- Darren Salt <devspam@moreofthesa.me.uk>  Fri, 23 Nov 2012 00:34:46 +0000

libwebp (0.1.3-3) unstable; urgency=low

  * Close dependency bug fixed in last update (closes: #657896)
  * Accept multi-arch support from Felix Geyer (closes: #659027)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 22 Feb 2012 12:00:56 -0800

libwebp (0.1.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev, and drop hardcoded
    shared library dependencies from webp.

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:29:55 +0100

libwebp (0.1.3-2) unstable; urgency=low

  * Improve description ever so slightly (closes: #647434)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 08 Dec 2011 16:34:49 -0800

libwebp (0.1.3-1) unstable; urgency=low

  * New upstream release (closes: #645154)
  * Fix typos in description (closes: #637156)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 31 Oct 2011 10:15:38 -0700

libwebp (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Explicit PNG and JPEG dependencies (closes: #622386)
  * Remove .la filse (closes: #622515)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 13 Apr 2011 15:14:03 -0700

libwebp (0.1-1) unstable; urgency=low

  * Initial release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 28 Feb 2011 17:25:17 -0800
